# Function insertRows

- insertRows(tbl, rows, opts?): Promise<void>

- #### Parameters

  - ##### tbl: string

  - ##### rows: Row[]

  - ##### opts: {
    ignoreExisting?: boolean;
    noid?: boolean;
    replace?: boolean;
    } = {}

    - ##### `Optional` ignoreExisting?: boolean

    - ##### `Optional` noid?: boolean

    - ##### `Optional` replace?: boolean

  #### Returns Promise<void>

  - Defined in sqlite-mobile/sqlite_capacitor.ts:92

Generated using TypeDoc